﻿Imports System

Namespace EnumExample1

    Enum EmployeeType
        FullTime
        PartTime
        Permanent
        Contractor
    End Enum

    Class Employee

        Private mEmployeeType As EmployeeType

        Public Sub New(employeeType As EmployeeType)
            mEmployeeType = employeeType
        End Sub

        Public Function getDescription() As String
            If (mEmployeeType = EmployeeType.Contractor) Then
                Return "Contractor, pay on hourly basis"
            ElseIf (mEmployeeType = EmployeeType.Permanent) Then
                Return "Permanent, salary-based"
            ElseIf (mEmployeeType = EmployeeType.PartTime) Then
                Return "Part-Time, mostly students"
            Else
                Return "Full-Time, salary-based"
            End If
        End Function
    End Class

    Class Program
        Shared Sub Main(args As String())
            Dim employeeType As EmployeeType = employeeType.PartTime
            Dim employee As Employee = New Employee(employeeType)
            Console.WriteLine(employeeType) ' prints "PartTime"
            Console.WriteLine(employee.getDescription())
            Console.ReadKey()
        End Sub
    End Class

End Namespace
